"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
const path = require("path");
const conf_1 = require("../services/conf");
async function default_1() {
    const { appConfPath, cwd } = conf_1.default;
    const checkDate = 5;
    const needCheck = () => {
        return new Date().getDay() === checkDate;
    };
    const uploadAppInfo = async (data) => {
        await axios_1.default({
            method: 'post',
            url: 'https://apollo-kl.netease.com/rde/version/upsert',
            data
        });
    };
    const checkApplication = async () => {
        const { container: { name: version } } = require(appConfPath);
        const { name } = path.parse(cwd);
        await uploadAppInfo({ version, name });
    };
    if (needCheck()) {
        await checkApplication();
    }
}
exports.default = default_1;
